### Method

# Gimp Image set_color_profile_from_file

since: 2.10

#### Declaration [src]

    gboolean
    gimp_image_set_color_profile_from_file (
      GimpImage* image,
      GFile* file
    )

#### Description [src]

Sets the image’s color profile from an ICC file

This procedure sets the image’s color profile from a file containing an ICC profile, or unsets it if NULL is passed as ‘file’. This procedure does no color conversion. However, it will change the pixel format of all layers to contain the babl space matching the profile. You must call this procedure before adding layers to the image.

Available since: 2.10

#### Parameters

`file`

  Type: `GFile`

  The file containing the new color profile.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

TRUE on success.